All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
Compare Image Differences With Epsilon Operations
Comparison Operations

Compare the pixels value differences of two images with an epsilon value and create a binary result image. More...

## Functions

NppStatus | nppiCompareEqualEps_32f_C1R_Ctx (const Npp32f *pSrc1, int nSrc1Step, const Npp32f *pSrc2, int nSrc2Step, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, Npp32f nEpsilon, NppStreamContext nppStreamCtx)
| 1 channel 32-bit floating point image compare whether two images are equal within epsilon. More...
NppStatus | nppiCompareEqualEps_32f_C1R (const Npp32f *pSrc1, int nSrc1Step, const Npp32f *pSrc2, int nSrc2Step, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, Npp32f nEpsilon)
NppStatus | nppiCompareEqualEps_32f_C3R_Ctx (const Npp32f *pSrc1, int nSrc1Step, const Npp32f *pSrc2, int nSrc2Step, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, Npp32f nEpsilon, NppStreamContext nppStreamCtx)
| 3 channel 32-bit floating point image compare whether two images are equal within epsilon. More...
NppStatus | nppiCompareEqualEps_32f_C3R (const Npp32f *pSrc1, int nSrc1Step, const Npp32f *pSrc2, int nSrc2Step, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, Npp32f nEpsilon)
NppStatus | nppiCompareEqualEps_32f_C4R_Ctx (const Npp32f *pSrc1, int nSrc1Step, const Npp32f *pSrc2, int nSrc2Step, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, Npp32f nEpsilon, NppStreamContext nppStreamCtx)
| 4 channel 32-bit floating point image compare whether two images are equal within epsilon. More...
NppStatus | nppiCompareEqualEps_32f_C4R (const Npp32f *pSrc1, int nSrc1Step, const Npp32f *pSrc2, int nSrc2Step, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, Npp32f nEpsilon)
NppStatus | nppiCompareEqualEps_32f_AC4R_Ctx (const Npp32f *pSrc1, int nSrc1Step, const Npp32f *pSrc2, int nSrc2Step, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, Npp32f nEpsilon, NppStreamContext nppStreamCtx)
| 4 channel 32-bit signed floating point compare whether two images are equal within epsilon, not affecting Alpha. More...
NppStatus | nppiCompareEqualEps_32f_AC4R (const Npp32f *pSrc1, int nSrc1Step, const Npp32f *pSrc2, int nSrc2Step, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, Npp32f nEpsilon)

## Detailed Description

Compare the pixels value differences of two images with an epsilon value and create a binary result image.

In case of multi-channel image types, the condition must be fulfilled for all channels, otherwise the comparison is considered false. The "binary" result image is of type 8u_C1. False is represented by 0, true by NPP_MAX_8U.

### Common parameters for nppiCompareEqualEps functions include:

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  pSrc2 | Source-Image Pointer.
  nSrc2Step | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nEpsilon | epsilon tolerance value to compare to pixel absolute differences
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

## Function Documentation

NppStatus nppiCompareEqualEps_32f_AC4R | ( | const Npp32f * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp32f * | pSrc2,
|  | int | nSrc2Step,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | Npp32f | nEpsilon
| ) |  |

NppStatus nppiCompareEqualEps_32f_AC4R_Ctx | ( | const Npp32f * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp32f * | pSrc2,
|  | int | nSrc2Step,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | Npp32f | nEpsilon,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 32-bit signed floating point compare whether two images are equal within epsilon, not affecting Alpha.

Compare pSrc1's pixels with corresponding pixels in pSrc2 to determine whether they are equal with a difference of epsilon.

For common parameter descriptions, see Common parameters for nppiCompareEqualEps functions.

NppStatus nppiCompareEqualEps_32f_C1R | ( | const Npp32f * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp32f * | pSrc2,
|  | int | nSrc2Step,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | Npp32f | nEpsilon
| ) |  |

NppStatus nppiCompareEqualEps_32f_C1R_Ctx | ( | const Npp32f * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp32f * | pSrc2,
|  | int | nSrc2Step,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | Npp32f | nEpsilon,
|  | NppStreamContext | nppStreamCtx
| ) |  |

1 channel 32-bit floating point image compare whether two images are equal within epsilon.

Compare pSrc1's pixels with corresponding pixels in pSrc2 to determine whether they are equal with a difference of epsilon.

For common parameter descriptions, see Common parameters for nppiCompareEqualEps functions.

NppStatus nppiCompareEqualEps_32f_C3R | ( | const Npp32f * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp32f * | pSrc2,
|  | int | nSrc2Step,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | Npp32f | nEpsilon
| ) |  |

NppStatus nppiCompareEqualEps_32f_C3R_Ctx | ( | const Npp32f * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp32f * | pSrc2,
|  | int | nSrc2Step,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | Npp32f | nEpsilon,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 32-bit floating point image compare whether two images are equal within epsilon.

Compare pSrc1's pixels with corresponding pixels in pSrc2 to determine whether they are equal with a difference of epsilon.

For common parameter descriptions, see Common parameters for nppiCompareEqualEps functions.

NppStatus nppiCompareEqualEps_32f_C4R | ( | const Npp32f * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp32f * | pSrc2,
|  | int | nSrc2Step,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | Npp32f | nEpsilon
| ) |  |

NppStatus nppiCompareEqualEps_32f_C4R_Ctx | ( | const Npp32f * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp32f * | pSrc2,
|  | int | nSrc2Step,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | Npp32f | nEpsilon,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 32-bit floating point image compare whether two images are equal within epsilon.

Compare pSrc1's pixels with corresponding pixels in pSrc2 to determine whether they are equal with a difference of epsilon.

For common parameter descriptions, see Common parameters for nppiCompareEqualEps functions.

Copyright © 2009-2020 NVIDIA Corporation